Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.query
Class Expression.Application

    java.lang.Object
      com.hp.hpl.jena.graph.query.Expression.Base
          com.hp.hpl.jena.graph.query.Expression.Application

All Implemented Interfaces:
  Expression

Direct Known Subclasses:
  Dyadic

Enclosing interface:
  Expression

    public abstract static class Expression.Application

extends Expression.Base

An abstract base class for apply nodes; subclasses implement getFun(), argCount(), and getArg().

Nested Class Summary

Nested classes/interfaces inherited from interface com.hp.hpl.jena.graph.query.Expression
`Expression.Application, Expression.Base, Expression.BoolConstant, Expression.Constant, Expression.Fixed, Expression.Util, Expression.Valof, Expression.Variable`

Field Summary

Fields inherited from interface com.hp.hpl.jena.graph.query.Expression
`FALSE, TRUE`

Constructor Summary
`Expression.Application()`

Method Summary
`abstract int` | `argCount()` If this Expression is an application, answer the number of arguments that it has.
`abstract Expression` | `getArg(int i)` If this Expression is an application, and 0 <= i < argCount(), answer the `i`th argument.
`abstract java.lang.String` | `getFun()` If this Expression is an application, return the string identifying the function, which should be a URI.
`boolean` | `isApply()` Answer true iff this Expression represents the application of some function [or operator] to some arguments [or operands].

Methods inherited from class com.hp.hpl.jena.graph.query.Expression.Base
`equals, getName, getValue, isConstant, isVariable`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.graph.query.Expression
`prepare`

Constructor Detail

### Expression.Application

    public Expression.Application()

Method Detail

### isApply

    public boolean isApply()

  Description copied from interface: `Expression`
  Answer true iff this Expression represents the application of some function [or operator] to some arguments [or operands].

  Specified by:
    `isApply` in interface `Expression`
  Overrides:
    `isApply` in class `Expression.Base`

### argCount

    public abstract int argCount()

  Description copied from interface: `Expression`
  If this Expression is an application, answer the number of arguments that it has. Otherwise the behaviour is unspecified.

  Specified by:
    `argCount` in interface `Expression`
  Overrides:
    `argCount` in class `Expression.Base`

### getFun

    public abstract java.lang.String getFun()

  Description copied from interface: `Expression`
  If this Expression is an application, return the string identifying the function, which should be a URI. Otherwise the behaviour is unspecified.

  Specified by:
    `getFun` in interface `Expression`
  Overrides:
    `getFun` in class `Expression.Base`

### getArg

    public abstract Expression getArg(int i)

  Description copied from interface: `Expression`
  If this Expression is an application, and 0 <= i < argCount(), answer the `i`th argument. Otherwise the behaviour is unspecified.

  Specified by:
    `getArg` in interface `Expression`
  Overrides:
    `getArg` in class `Expression.Base`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP